package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 建行交易状态枚举
 *
 * @author ZYJ
 * @date 2023/6/20
 */
@Getter
@AllArgsConstructor
public enum ConstructionTradeStateEnum {

    /**
     * 建行交易状态枚举
     * 0  STATUS:失败
     * 1  STATUS:成功
     * 2  STATUS:待银行确认
     * 3  STATUS:已部分退款
     * 4  STATUS:已全额退款
     * 5  STATUS:待银行确认
     */
    TRADE_FAIL("0", "失败"),
    TRADE_SUCCESS("1", "成功"),
    WAIT_BANK_CONFIRM("2", "待银行确认"),
    PARTIAL_REFUNDED("3", "已部分退款"),
    REFUNDED("4", "已全额退款"),
    WAIT_BANK_CONFIRM_OTHER("5", "待银行确认");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
